Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01461 Interface Minor Always Mar 6, 2008, 23:42 Mar 18, 2008, 04:56
Tester Iaspis View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver cave.cpp
Version 0.123u4 Fixed in Version 0.123u6 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 01461: mazinger: reset caused by the watchedog message
Description mazinger set displays "reset caused by the watchedog" message on every startup.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems mazinger
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.00055
Tafoid
Administrator
Mar 7, 2008, 00:51
It looks like (from the source) that this pop-up message functionality was added in 0.123u4, so that's why you are seeing it. It appears the watchdog is needed for function of the game to cover up for possible emulation shortcomings in which this 'kicks in' after a set amount of time of nothing is happening (basically forces a soft reset of the emulation).

If someone else can chime in here, developer side, please add a note and close this if indeed it's not an unusual happening. Also, please correct my understanding of 'watchdog' if I'm in error. :)

I'll leave this open for now.
User avatar
No.00214
aaron
Developer
Mar 18, 2008, 04:56
Zsolt changed this message to only display in debug builds. It is perfectly normal.